/*
 * Copyright (C) 2009-2010 Eiichiro Uchiumi. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 *     
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * <a href="http://martinfowler.com/articles/injection.html">IoC 
 * (Inversion of Control)</a> kernel components for Jazzmaster.
 * This package defines the simple controls of dependency injection and callback 
 * invocation. You can use this package components independently from Jazzmaster 
 * application for small IoC library.
 */
package org.eiichiro.jazzmaster.kernel;
